%define glib2_version 2.48.0
%define gtk3_version 3.20.0
%define nautilus_version 3.20.0
%define desktop_file_utils_version 0.16

Summary:	File Roller is a tool for viewing and creating archives.
Summary(ja):    File Roller - アーカイブの表示・作成ツール
Name:		file-roller
Version:	3.30.1
Release:	1%{?_dist_release}

License:	GPL
Group:		Applications/Archiving

%define shortver %(echo %{version} | sed -e 's/\\.[0-9]*$//')
Source0:	https://ftp.gnome.org/pub/GNOME/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz

URL:		http://ftp.gnome.org/pub/gnome/sources/${name}/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires(post,postun): desktop-file-utils >= %{desktop_file_utils_version}

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk3-devel >= %{gtk3_version}
BuildRequires: nautilus >= %{nautilus_version}
BuildRequires: nautilus-devel >= %{nautilus_version}
BuildRequires: json-glib-devel
BuildRequires: libnotify-devel
BuildRequires: libarchive-devel
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: yelp-tools
BuildRequires: libSM-devel
BuildRequires: file-devel
BuildRequires: docbook-dtds
BuildRequires: cpio
BuildRequires: meson

Vendor: Project Vine
Distribution: Vine Linux

%description
File Roller is an application for creating and viewing archives files, 
such as tar files.

%description -l ja
File Roller は tar ファイルのようなアーカイブの表示や作成をするための
アプリケーションです。

%prep
%setup -q

%build
%meson
%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-3.0/lib*.*a

rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%find_lang %{name} --all-name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database %{_datadir}/applications >& /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi

%postun
update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-, root, root)
%license COPYING
%doc README ChangeLog NEWS AUTHORS
%{_bindir}/file-roller
%{_libdir}/nautilus/extensions-3.0/libnautilus-fileroller.so
%{_libexecdir}/file-roller/*
%{_datadir}/metainfo/org.gnome.FileRoller.appdata.xml
%{_datadir}/applications/org.gnome.FileRoller.desktop
%{_datadir}/dbus-1/services/org.gnome.FileRoller.service
%{_datadir}/dbus-1/services/org.gnome.FileRoller.ArchiveManager1.service
%{_datadir}/file-roller
%{_datadir}/glib-2.0/schemas/org.gnome.FileRoller.gschema.xml
%{_datadir}/icons/hicolor/*


%changelog
* Fri Oct 18 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.30.1-1
- new upstream release.

* Sun Jul 17 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.20.2-1
- new upstream release

* Sat Oct 10 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.4-1
- new upstream release

* Sun Jul 05 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.3-1
- new upstream release

* Sat May 16 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.2-1
- new upstream release

* Sun Apr 19 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.1-1
- new upstream release

* Sun Mar 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.16.0-1
- new upstream release

* Wed Nov 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.2-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.1-1
- new upstream release

* Sun Jul 06 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.2-2
- rebuild with libarchive-3.1.2

* Fri May 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.2-1
- new upstream release

* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.1-1
- new upstream release

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release

* Sun Nov 24 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.2.1-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- new upstream release

* Tue Aug 27 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.4-1
- new upstream release

* Mon Jul 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.3-1
- new upstream release

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.2-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.1-1
- new upstream release

* Thu Jan 03 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.3-1
- new upstream release

* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.2-1
- new upstream release

* Thu Oct 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1.1-1
- new upstream release
- remove Patch0 (10_sizeof_gtimeval.patch)

* Sat Oct 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release
- add BuildRequires: json-glib-devel, libnotify-devel, libarchive-devel
- change BuildRequires: yelp-tools instead of gnome-doc-utils
- add Patch0 (10_sizeof_gtimeval.patch)

* Sun May 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.2-1
- new upstream release

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release

* Sun Nov 20 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.2-1
- new upstream release
- add BuildRequires: file-devel

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- new upstream release

* Thu Sep 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release
- remove Source1,2,3,4

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.92-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.90-1
- new upstream release

* Sun Aug 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.2-1
- new upstream release

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.1-1
- new upstream release

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-1
- new upstream release

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release
- remove Patch
- drop Source1, Source2, Source3

* Mon Aug 23 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.30.2-3
- add Source1-4

* Sat Aug 21 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.30.2-2
- add patch from https://bugzilla.gnome.org/show_bug.cgi?id=627387

* Tue Jun 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- new upstream release
- add BuildRequires: docbook-dtds

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release

* Sun Apr 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Sat Mar 13 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.2-1
- new upstream release
- add BuildRequires: nautilus-devel, gnome-doc-utils, libSM-devel

* Sun Nov  1 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.1-1
- new upstream release

* Sat Jul 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.3-1
- new upstream release

* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-1
- new upstream release

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- new upstream release

* Mon Mar 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release
- remove BR: libgnomeprint-devel, libgnomeprintui-devel

* Mon Jan 19 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.3-1
- new upstream release

* Tue Oct 28 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Fri Sep 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Tue Apr 15 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.2-1vl5
- new upstream release

* Sun Apr  6 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release

* Sun Dec 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.2-0vl1
- new upstream release

* Sun Aug 26 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.4-0vl1
- new upstream release

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl1
- new upstream release

* Sat Jun 03 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.3-0vl1
- new upstream release

* Wed Apr 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Wed Mar 08 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.92-0vl1
- new upstream release

* Sat Oct 08 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.1-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Tue Mar 22 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version

* Sun Feb 27 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.4-0vl1
- new upsteram release

* Thu Nov 18 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.3-0vl1
- new upsteram release

* Sun Jul 11 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.4.4-0vl3
- fix typo

* Sun Feb 15 2004 Tomoya TAKA <taka@vinelinux.org> 2.4.4-0vl2
- add Patch0 to fix segfaults on 64-bit architectures.

* Sat Jan 31 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.4-0vl1
- new upstream release

* Wed Dec 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.2-0vl2
- rebuild with new toolchain

* Tue Dec 09 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.2-0vl1
- new upstream release

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.6-0vl1
- new upstream release

* Tue Jun 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.4-0vl1
- revert version to 2.2.4

* Tue Jun 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.2-0vl2
- rebuilt

* Wed Jun 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.2-0vl2
- new upstream release

* Thu Jan 30 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl1
- new upstream release

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Fri Jan 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl1
- new upstream release

* Thu Jan  9 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.4-0vl1
- new upstream release

* Mon Dec  9 2002 Alexander Larsson <alexl@redhat.com> 2.1.3-3
- fix server file path

* Mon Dec  9 2002 Alexander Larsson <alexl@redhat.com> 2.1.3-2
- Remove unpackaged files

* Mon Dec  9 2002 Alexander Larsson <alexl@redhat.com> 2.1.3-1
- Update to 2.1.3

* Fri Dec  6 2002 Havoc Pennington <hp@redhat.com>
- 2.1.2
- fix unpackaged files

* Wed Jul 31 2002 Havoc Pennington <hp@redhat.com>
- fix URL field
- put icon in file list
- 2.0.0 stable release

* Fri Jun 21 2002 Havoc Pennington <hp@redhat.com>
- initial build

